Page MenuHomePhabricator

Add /view links to the /list page
Closed, ResolvedPublic

Description

In Special:OAuthConsumerRegistration/list, there should be a more obvious way to get to each application's Special:OAuthListConsumers/view page.

For instance, instead of (manage) in the heading of each application, we could have (view · manage), where "view" would be a new link to the Special:OAuthListConsumers/view page and "manage" would link to the Special:OAuthConsumerRegistration/update page, as it does already.

Event Timeline

APerson created this task.Jun 1 2017, 7:14 PM
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptJun 1 2017, 7:14 PM

Change 572500 had a related patch set uploaded (by Ammarpad; owner: Ammarpad):
[mediawiki/extensions/OAuth@master] Add navigation link to app details from Registration list

https://gerrit.wikimedia.org/r/572500

Ammarpad claimed this task.Feb 16 2020, 9:10 PM

Change 572500 merged by jenkins-bot:
[mediawiki/extensions/OAuth@master] Add navigation link to app details from Registration list

https://gerrit.wikimedia.org/r/572500

Tgr closed this task as Resolved.Feb 17 2020, 7:04 AM